diff --git a/samples/nrf9160/https_client/src/main.c b/samples/nrf9160/https_client/src/main.c
index 509aacb96..18f01a410 100644
--- a/samples/nrf9160/https_client/src/main.c
+++ b/samples/nrf9160/https_client/src/main.c
@@ -5,6 +5,7 @@
  */
 
 #include <string.h>
+#include <fcntl.h>
 #include <zephyr.h>
 #include <stdlib.h>
 #include <net/socket.h>
@@ -202,7 +203,25 @@ void main(void)
 	}
 
 	printk("Connecting to %s\n", "example.com");
+	#if 1
+	printk("enable non-blocking connect\n");
+	printk("Will return EINPROGRESS (%d) when in progress\n", EINPROGRESS);
+	int flags = fcntl(fd, F_GETFL, 0);
+	int ret = fcntl(fd, F_SETFL, flags | O_NONBLOCK);
+	int rflags = fcntl(fd, F_GETFL, 0);	
+	#endif
+	printk("connect time: %lld\n", k_uptime_get());
+
+	/* define this to handle EINPROGRESS scenario */
+	#if ENABLE_NONBLOCK
+	do {
+	#endif
 	err = connect(fd, res->ai_addr, sizeof(struct sockaddr_in));
+	#if ENABLE_NONBLOCK
+	} while (err == EINPROGRESS);
+	#endif
+	
+	printk("connect time: %lld\n", k_uptime_get());
 	if (err) {
 		printk("connect() failed, err: %d\n", errno);
 		goto clean_up;
